Bug 1651047 - [abrt] dnf: PyObject_GetIter(): python3.7 killed by SIGSEGV
Summary: [abrt] dnf: PyObject_GetIter(): python3.7 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:47e5534811e105802810e80a2b9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-19 03:11 UTC by Scott Cohen
Modified: 2020-01-16 14:13 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:06:41 UTC
Type: ---


Attachments (Terms of Use)
File: _var_log_dnf.log (761.07 KB, text/plain)
2018-11-19 03:12 UTC, Scott Cohen
no flags Details
File: backtrace (134.04 KB, text/plain)
2018-11-19 03:12 UTC, Scott Cohen
no flags Details
File: cgroup (341 bytes, text/plain)
2018-11-19 03:12 UTC, Scott Cohen
no flags Details
File: core_backtrace (13.25 KB, text/plain)
2018-11-19 03:12 UTC, Scott Cohen
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2018-11-19 03:12 UTC, Scott Cohen
no flags Details
File: dnf-makecache.log (1.72 MB, text/plain)
2018-11-19 03:12 UTC, Scott Cohen
no flags Details
File: dso_list (12.74 KB, text/plain)
2018-11-19 03:12 UTC, Scott Cohen
no flags Details
File: environ (1.88 KB, text/plain)
2018-11-19 03:12 UTC, Scott Cohen
no flags Details
File: exploitable (82 bytes, text/plain)
2018-11-19 03:12 UTC, Scott Cohen
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-19 03:12 UTC, Scott Cohen
no flags Details
File: maps (77.73 KB, text/plain)
2018-11-19 03:12 UTC, Scott Cohen
no flags Details
File: mountinfo (3.67 KB, text/plain)
2018-11-19 03:12 UTC, Scott Cohen
no flags Details
File: open_fds (2.99 KB, text/plain)
2018-11-19 03:12 UTC, Scott Cohen
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-11-19 03:12 UTC, Scott Cohen
no flags Details

Description Scott Cohen 2018-11-19 03:11:58 UTC
Description of problem:
I think this was caused by me accidently closing the window this processes was running in. Unrelated, but I thought I could hold the close window control button and release with the mouse off the button without anything closing in xfce4, but updating to Fedora 29 (or maybe it was a later update) proved me wrong.

Version-Release number of selected component:
dnf-4.0.4-2.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/dnf search kerenl*
crash_function: PyObject_GetIter
executable:     /usr/bin/python3.7
journald_cursor: s=9e1bbdc472ac49c094409f4604862b5c;i=2f1c0;b=4e7a835825ed4d65b13eaa4d9d60050b;m=214d56ef0;t=57ad1ef61a77f;x=bf9ad64b15e4e92f
kernel:         4.18.17-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 PyObject_GetIter at /usr/src/debug/python3-3.7.1-2.fc29.x86_64/Objects/abstract.c:2518
 #1 query_iter at /usr/src/debug/libdnf-0.22.0-8.fc29.x86_64/python/hawkey/iutil-py.hpp:49
 #2 PyObject_GetIter at /usr/src/debug/python3-3.7.1-2.fc29.x86_64/Objects/abstract.c:2525
 #3 _PyEval_EvalFrameDefault at /usr/src/debug/python3-3.7.1-2.fc29.x86_64/Python/ceval.c:2766
 #4 function_code_fastcall at /usr/src/debug/python3-3.7.1-2.fc29.x86_64/Objects/call.c:283
 #5 _PyFunction_FastCallDict at /usr/src/debug/python3-3.7.1-2.fc29.x86_64/Objects/call.c:322
 #6 _PyObject_Call_Prepend at /usr/src/debug/python3-3.7.1-2.fc29.x86_64/Objects/call.c:904
 #7 PyObject_Call at /usr/src/debug/python3-3.7.1-2.fc29.x86_64/Objects/call.c:245
 #8 methodcaller_call at /usr/src/debug/python3-3.7.1-2.fc29.x86_64/Modules/_operator.c:1537
 #9 _PyObject_FastCallDict at /usr/src/debug/python3-3.7.1-2.fc29.x86_64/Objects/call.c:125

Comment 1 Scott Cohen 2018-11-19 03:12:01 UTC
Created attachment 1507069 [details]
File: _var_log_dnf.log

Comment 2 Scott Cohen 2018-11-19 03:12:02 UTC
Created attachment 1507070 [details]
File: backtrace

Comment 3 Scott Cohen 2018-11-19 03:12:03 UTC
Created attachment 1507071 [details]
File: cgroup

Comment 4 Scott Cohen 2018-11-19 03:12:04 UTC
Created attachment 1507072 [details]
File: core_backtrace

Comment 5 Scott Cohen 2018-11-19 03:12:05 UTC
Created attachment 1507073 [details]
File: cpuinfo

Comment 6 Scott Cohen 2018-11-19 03:12:09 UTC
Created attachment 1507074 [details]
File: dnf-makecache.log

Comment 7 Scott Cohen 2018-11-19 03:12:10 UTC
Created attachment 1507075 [details]
File: dso_list

Comment 8 Scott Cohen 2018-11-19 03:12:11 UTC
Created attachment 1507076 [details]
File: environ

Comment 9 Scott Cohen 2018-11-19 03:12:12 UTC
Created attachment 1507077 [details]
File: exploitable

Comment 10 Scott Cohen 2018-11-19 03:12:13 UTC
Created attachment 1507078 [details]
File: limits

Comment 11 Scott Cohen 2018-11-19 03:12:14 UTC
Created attachment 1507079 [details]
File: maps

Comment 12 Scott Cohen 2018-11-19 03:12:14 UTC
Created attachment 1507080 [details]
File: mountinfo

Comment 13 Scott Cohen 2018-11-19 03:12:15 UTC
Created attachment 1507081 [details]
File: open_fds

Comment 14 Scott Cohen 2018-11-19 03:12:16 UTC
Created attachment 1507082 [details]
File: proc_pid_status

Comment 15 Ryan Blakley 2019-03-21 21:41:17 UTC
I'm pretty sure I received the same crash today, while troubleshooting another crash. The bt is massive, so I only pasted part of it.

Core was generated by `/usr/bin/python3 /usr/bin/yum reinstall kernel-core-4.20.16-200.fc29 -y'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x0000ffffb4e58f30 in PyObject_GetIter (o=<optimized out>, o=<optimized out>)
    at /usr/src/debug/python3-3.7.2-4.fc29.aarch64/Objects/abstract.c:2518
2518	    f = t->tp_iter;
(gdb) bt
#0  0x0000ffffb4e58f30 in PyObject_GetIter (o=<optimized out>, o=<optimized out>)
    at /usr/src/debug/python3-3.7.2-4.fc29.aarch64/Objects/abstract.c:2518
#1  0x0000ffffa3c22514 in ?? () from /usr/lib64/python3.7/site-packages/hawkey/_hawkey.so
#2  0x0000ffffb4e58f44 in PyObject_GetIter (o=<optimized out>, o=<optimized out>)
    at /usr/src/debug/python3-3.7.2-4.fc29.aarch64/Objects/abstract.c:2525
#3  0x0000ffffb4e16724 in _PyEval_EvalFrameDefault (
    f=Frame 0xaaaafe807df8, for file /usr/lib/python3.7/site-packages/dnf-plugins/generate_completion_cache.py, line 64, in sack (self=<BashCompletionCache(base=<BaseCli(_closed=False, _conf=<MainConf(_config=<ConfigMain(this=<SwigPyObject at remote 0xffffa3922c00>) at remote 0xffffa7a47588>, _section='main', _parser=<ConfigParser(this=<SwigPyObject at remote 0xffffa3922db0>) at remote 0xffffa3892fd0>, substitutions=<Substitutions at remote 0xffffa38ea990>, modulesdir=<PathOption(_option=<OptionPath(this=<SwigPyObject at remote 0xffffa3922c60>) at remote 0xffffa38fa240>) at remote 0xffffa7931080>, moduledefaultsdir=<PathOption(_option=<OptionPath(this=<SwigPyObject at remote 0xffffa3922c30>) at remote 0xffffa38fa2e8>) at remote 0xffffa38fa2b0>) at remote 0xffffa7a7eb00>, _goal=<Goal(group_members=set()) at remote 0xffffa5261990>, _repo_persistor=<RepoPersistor(cachedir='/var/cache/dnf', db_path='/var/cache/dnf/expired_repos.json', expired_to_add=set(), reset_last_makecache=False) at remote 0xffffa3892ef0>, _sack=<S...(truncated), throwflag=<optimized out>) at /usr/src/debug/python3-3.7.2-4.fc29.aarch64/Python/ceval.c:2766
#4  0x0000ffffb4e119cc in function_code_fastcall (co=co@entry=0xffffa38fe810, args=<optimized out>, 
    args@entry=0xffffdd618560, nargs=nargs@entry=1, 
    globals=globals@entry={'__name__': 'dnf.plugin.dynamic.generate_completion_cache', '__doc__': None, '__package__': 'dnf.plugin.dynamic', '__loader__': <SourceFileLoader(name='dnf.plugin.dynamic.generate_completion_cache', path='/usr/lib/python3.7/site-packages/dnf-plugins/generate_completion_cache.py') at remote 0xffffa389cef0>, '__spec__': <ModuleSpec(name='dnf.plugin.dynamic.generate_completion_cache', loader=<...>, origin='/usr/lib/python3.7/site-packages/dnf-plugins/generate_completion_cache.py', loader_state=None, submodule_search_locations=None, _set_fileattr=True, _cached='/usr/lib/python3.7/site-packages/dnf-plugins/__pycache__/generate_completion_cache.cpython-37.pyc', _initializing=False) at remote 0xffff--Type <RET> for more, q to quit, c to continue without paging--
a389cfd0>, '__file__': '/usr/lib/python3.7/site-packages/dnf-plugins/generate_completion_cache.py', '__cached__': '/usr/lib/python3.7/site-packages/dnf-plugins/__pycache__/generate_completion_cache.cpython-37.pyc', '__builtins__': {'__name__': 'builtins', '__doc__': "Built-in functions, exceptions, and other objects.\n\n...(truncated)) at /usr/src/debug/python3-3.7.2-4.fc29.aarch64/Objects/call.c:283
#5  0x0000ffffb4ec4294 in _PyFunction_FastCallDict (func=<function at remote 0xffffa38b7488>, 
    args=0xffffdd618560, nargs=1, kwargs=0x0)
    at /usr/src/debug/python3-3.7.2-4.fc29.aarch64/Objects/call.c:322
#6  0x0000ffffb4ec4440 in _PyObject_FastCallDict (
    callable=callable@entry=<function at remote 0xffffa38b7488>, args=args@entry=0xffffdd618560, 
    nargs=nargs@entry=1, kwargs=kwargs@entry=0x0)
    at /usr/src/debug/python3-3.7.2-4.fc29.aarch64/Objects/call.c:98

Comment 16 amatej 2019-08-14 08:35:25 UTC
I know its really late but is there any chance you still have the coredump that was generated? I think it would be really helpful here.

Comment 17 Ben Cotton 2019-10-31 18:57:23 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Ben Cotton 2019-11-27 18:06:41 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 19 Ryan Blakley 2020-01-16 14:13:25 UTC
(In reply to amatej from comment #16)
> I know its really late but is there any chance you still have the coredump
> that was generated? I think it would be really helpful here.

I apologize for the delay, I do not have the coredump anymore.


Note You need to log in before you can comment on or make changes to this bug.